in scala.xml
class NodeSeq

`abstract class` NodeSeq
  `extends` java.lang.Object
  `with` scala.Seq[scala.xml.Node]
  `with` scala.ScalaObject

  This class implements a wrapper around `Seq[Node]` that adds XPath and comprehension methods.

Author:
  Burak Emir
Version:
  1.0

Direct Known Subclasses:
  Node, Document

Constructor Summary
| `def` this

Def Summary
| `def` \ (that: java.lang.String) : scala.xml.NodeSeq Projection function. Similar to XPath, use `this \ "foo"` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\ "_"` as a wildcard. The document order is preserved.
| `def` \\ (that: java.lang.String) : scala.xml.NodeSeq projection function. Similar to XPath, use `this \\ 'foo` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\\ "_"` as a wildcard. The document order is preserved.
| `def` apply (f: (scala.xml.Node) => scala.Boolean) : scala.xml.NodeSeq
| `def` apply (i: scala.Int) : scala.xml.Node
| `def` elements : scala.Iterator[scala.xml.Node]
`override` | `def` equals (x: scala.Any) : scala.Boolean structural equality
| `def` filter (f: (scala.xml.Node) => scala.Boolean) : scala.xml.NodeSeq
| `def` flatMap (f: (scala.xml.Node) => scala.xml.NodeSeq) : scala.xml.NodeSeq
| `def` length : scala.Int
| `def` map (f: (scala.xml.Node) => scala.xml.NodeSeq) : scala.xml.NodeSeq
| `def` text : java.lang.String
`abstract` | `def` theSeq : scala.Seq[scala.xml.Node]
`override` | `def` toString : java.lang.String

Def inherited from scala.Seq[scala.xml.Node]
concat , copyToArray, drop, indexOf, isDefinedAt, isEmpty, lastIndexOf, length, mkString, stringPrefix, subseq, take, toArray, toString

Constructor Detail

`def` this

Def Detail

`def` \ (that: java.lang.String): scala.xml.NodeSeq

  Projection function. Similar to XPath, use `this \ "foo"` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\ "_"` as a wildcard. The document order is preserved.

Parameters:
  `that -` ...
Returns:
  ...

`def` \\ (that: java.lang.String): scala.xml.NodeSeq

  projection function. Similar to XPath, use `this \\ 'foo` to get a list of all elements of this sequence that are labelled with `"foo"`. Use `\\ "_"` as a wildcard. The document order is preserved.

Parameters:
  `that -` ...
Returns:
  ...

`def` apply (f: (scala.xml.Node) => scala.Boolean): scala.xml.NodeSeq

`def` apply (i: scala.Int): scala.xml.Node

`def` elements : scala.Iterator[scala.xml.Node]

`override def` equals (x: scala.Any): scala.Boolean

  structural equality

`def` filter (f: (scala.xml.Node) => scala.Boolean): scala.xml.NodeSeq

`def` flatMap (f: (scala.xml.Node) => scala.xml.NodeSeq): scala.xml.NodeSeq

`def` length : scala.Int

`def` map (f: (scala.xml.Node) => scala.xml.NodeSeq): scala.xml.NodeSeq

`def` text : java.lang.String

`abstract def` theSeq : scala.Seq[scala.xml.Node]

`override def` toString : java.lang.String